﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;
using System.Collections.ObjectModel;
using Test.Model;

namespace Test.VM
{
    public class GridTestViewModel2 : INotifyPropertyChanged
    {
        private bool isBusy;
        public bool IsBusy
        {
            get
            {
                return isBusy;
            }
            set
            {
                isBusy = value;
                RaisePropertyChanged("IsBusy");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private ObservableCollection<ColumnData2> items;
        public ObservableCollection<ColumnData2> Items
        {
            get
            {
                return items;
            }
            set
            {
                items = value;
                RaisePropertyChanged("Items");
            }
        }

        public GridTestViewModel2()
        {
            Items = new ObservableCollection<ColumnData2>();
            //BuildData();
        }

        public void BuildData()
        {
            for (int i = 0; i < 50; i++)
            {
                Random rand = new Random(DateTime.Now.Millisecond);
                var data = new ColumnData2();

                foreach (var property in data.GetType().GetProperties())
                {
                    property.SetValue(data, "random : " + rand.Next(1000000, 1000000000).ToString(), null);
                }

                Items.Add(data);
            }
        }

        private void RaisePropertyChanged(string propertyName)
        {
            if (propertyName != null && PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }
    }

}
